## natpmp-0.1.0.tar.gz

=== Makefile ===
#!/bin/sh
#
#    natpmp - an implementation of NAT-PMP
#    Copyright (C) 2007  Adrian Friedli
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License along
#   with this program; if not, write to the Free Software Foundation, Inc.,
#   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#


TARGET = natpmp
OBJECTS = natpmp.o die.o leases.o linux_iptables.o
MANPAGES = natpmp.1
DEPFILE = Makefile.depend
CCFLAGS += -W -Wall

all: $(TARGET)

install:
	mkdir -p $(DESTDIR)/usr/sbin
	install -m 755 $(TARGET) $(DESTDIR)/usr/sbin

clean:
	rm -rf $(TARGET) $(OBJECTS) $(DEPFILE)

man: $(MANPAGES)

$(TARGET): $(OBJECTS)
	$(CC) $(CCFLAGS) -o $@ $^

%.o: %.c
	$(CC) $(CCFLAGS) -c -o $@ $<

%: %.xml
	docbook2x-man $<

$(DEPFILE): *.[ch]
	$(CC) -MM $^ > $@

-include $(DEPFILE)

.PHONY: all install clean man

=== debian/changelog ===
natpmp (0.1.0) unstable; urgency=low

  * Initial release

 -- Adrian Friedli <adi@koalatux.ch>  Sun, 22 Jul 2007 02:39:26 +0200

=== debian/control ===
Source: natpmp
Section: net
Priority: extra
Maintainer: Adrian Friedli <adi@koalatux.ch>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: natpmp
Architecture: any
Depends: lsb-base (>= 3.0-6), iproute, iptables, ${shlibs:Depends}
Description: NAT Port Mapping daemon
 This is a daemon implementing NAT-PMP.
 .
 NAT-PMP is a protocol for handling port forwarding requests from clients
 behind a NAT. NAT-PMP specifications are available at:
  http://files.dns-sd.org/draft-cheshire-nat-pmp.txt
 .
 Allowed port range and maximal lifetime are configurable.
 The port forwardings are performed by iptables.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch $@

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/natpmp install


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installinit
	dh_installman natpmp.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://download.savannah.nongnu.org/releases/natpmp/natpmp-(.*)\.tar\.gz
